Loading...
Searching...
No Matches
Dune::Functions::RannacherTurekPreBasis< GV > Class Template Reference
Function space bases » Function space basis implementations

Pre-basis for a Rannacher-Turek basis. More...

`#include <dune/functions/functionspacebases/rannacherturekbasis.hh>`

Inheritance diagram for Dune::Functions::RannacherTurekPreBasis< GV >:

## Public Types

using | GridView = GV
| The grid view that the FE basis is defined on.
using | size_type = std::size_t
| Type used for indices and size information.
using | Node = RannacherTurekNode<GV>
| Template mapping root tree path to type of created tree node.

## Public Member Functions

| RannacherTurekPreBasis (const GridView &gv)
| Constructor for a given grid view object.
void | initializeIndices ()
| Initialize the global indices.
const GridView & | gridView () const
| Obtain the grid view that the basis is defined on.
void | update (const GridView &gv)
| Update the stored grid view, to be called if the grid has changed.
Node | makeNode () const
| Create tree node.
size_type | dimension () const
| Same as size(prefix) with empty prefix.
size_type | maxNodeSize () const
| Get the maximal number of DOFs associated to node for any element.
template<typename It>
It | indices (const Node &node, It it) const
size_type | size (const SizePrefix &prefix) const
| Return number of possible values for next position in multi index.
auto | containerDescriptor () const
| Return a flat container-descriptor.

## Static Public Attributes

static constexpr size_type | maxMultiIndexSize
| Maximal length of global multi-indices.
static constexpr size_type | minMultiIndexSize
| Minimal length of global multi-indices.
static constexpr size_type | multiIndexBufferSize
| Size required temporarily when constructing global multi-indices.

## Protected Attributes

GridView | gridView_

## Detailed Description

template<typename GV>
class Dune::Functions::RannacherTurekPreBasis< GV >

Pre-basis for a Rannacher-Turek basis.

These are Crouzeix-Raviart-elements for quadrilateral elements. See Rolf Rannacher and Stefan Turek. Simple nonconforming quadrilateral Stokes element. Numerical Methods for Partial Differential Equations, 8:97–111, 1992.

Template Parameters

  GV | The grid view that the FE basis is defined on

## Member Typedef Documentation

## GridView

template<typename GV>

using Dune::Functions::RannacherTurekPreBasis< GV >::GridView = GV

The grid view that the FE basis is defined on.

## Node

template<typename GV>

using Dune::Functions::RannacherTurekPreBasis< GV >::Node = RannacherTurekNode<GV>

Template mapping root tree path to type of created tree node.

## size_type

template<typename GV>

using Dune::Functions::RannacherTurekPreBasis< GV >::size_type = std::size_t

Type used for indices and size information.

## Constructor & Destructor Documentation

## RannacherTurekPreBasis()

template<typename GV>

Dune::Functions::RannacherTurekPreBasis< GV >::RannacherTurekPreBasis | ( | const GridView & | gv | ) |

inline

Constructor for a given grid view object.

## Member Function Documentation

## containerDescriptor()

auto Dune::Functions::LeafPreBasisMixin< RannacherTurekPreBasis< GV > >::containerDescriptor | ( |  | ) | const

inline inherited

Return a flat container-descriptor.

## dimension()

template<typename GV>

size_type Dune::Functions::RannacherTurekPreBasis< GV >::dimension | ( |  | ) | const

inline

Same as size(prefix) with empty prefix.

## gridView()

template<typename GV>

const GridView & Dune::Functions::RannacherTurekPreBasis< GV >::gridView | ( |  | ) | const

inline

Obtain the grid view that the basis is defined on.

## indices()

template<typename GV>
template<typename It>

It Dune::Functions::RannacherTurekPreBasis< GV >::indices | ( | const Node & | node,
|  | It | it ) const

inline

## initializeIndices()

template<typename GV>

void Dune::Functions::RannacherTurekPreBasis< GV >::initializeIndices | ( |  | ) |

inline

Initialize the global indices.

## makeNode()

template<typename GV>

Node Dune::Functions::RannacherTurekPreBasis< GV >::makeNode | ( |  | ) | const

inline

Create tree node.

## maxNodeSize()

template<typename GV>

size_type Dune::Functions::RannacherTurekPreBasis< GV >::maxNodeSize | ( |  | ) | const

inline

Get the maximal number of DOFs associated to node for any element.

## size()

size_type Dune::Functions::LeafPreBasisMixin< RannacherTurekPreBasis< GV > >::size | ( | const SizePrefix & | prefix | ) | const

inline inherited

Return number of possible values for next position in multi index.

## update()

template<typename GV>

void Dune::Functions::RannacherTurekPreBasis< GV >::update | ( | const GridView & | gv | ) |

inline

Update the stored grid view, to be called if the grid has changed.

## Member Data Documentation

## gridView_

template<typename GV>

GridView Dune::Functions::RannacherTurekPreBasis< GV >::gridView_

protected

## maxMultiIndexSize

size_type Dune::Functions::LeafPreBasisMixin< RannacherTurekPreBasis< GV > >::maxMultiIndexSize

static constexpr inherited

Maximal length of global multi-indices.

## minMultiIndexSize

size_type Dune::Functions::LeafPreBasisMixin< RannacherTurekPreBasis< GV > >::minMultiIndexSize

static constexpr inherited

Minimal length of global multi-indices.

## multiIndexBufferSize

size_type Dune::Functions::LeafPreBasisMixin< RannacherTurekPreBasis< GV > >::multiIndexBufferSize

static constexpr inherited

Size required temporarily when constructing global multi-indices.

The documentation for this class was generated from the following file:

- rannacherturekbasis.hh